Notices


Reply
Thread Tools
Posts: 3 | Thanked: 0 times | Joined on Jan 2008
#1
Hi all,

I am a happy new owner of N800 - I just started installing
applications and hacking the device.
I plan to use my N800 (among other things) as a guitar
accessory, to replace metronome and tuner, to
record myself playing, to play video clips with pieces
I want to learn, and to play midi files (of pieces I want to learn).

So far I installed metronome (qtick from garage), and it works fine.
I had more trouble with tuner, but finally I found one at
http://n770galaxy.blogspot.com/ . It was tricky to install,
as it needs gstreamer0.10-plugins-base-extra package,
which apparently conflicts with camera pakacke.
The following hack solved the problem for me:
First install tuner_0.0.2_armel.deb from
http://n770galaxy.blogspot.com , then as root do:
Code:
apt-get remove camera
apt-get install gstreamer0.10-plugins-base-extra
cp /usr/lib/gstreamer-0.10/libgstaudiotestsrc.so .
apt-get remove gstreamer0.10-plugins-base-extra
apt-get install camera
cp libgstaudiotestsrc.so  /usr/lib/gstreamer-0.10/libgstaudiotestsrc.so
So right now I have working tuner, metronome, and I can record
sound with maemo-recorder. Not bad!

The only thing missing is midi player. Does anyone know of
any midi player for maemo (timidity port perhaps)?

Any other interesing applications which would be interest to
a guitar player?
 
timsamoff's Avatar
Posts: 1,605 | Thanked: 1,597 times | Joined on Mar 2007 @ Southern California
#2
Yes! Try PyChord. Here's my review:

http://sense-datum.org/tim/archive/2...samoff__weblog

Tim
__________________
http://samoff.com
 
Posts: 3 | Thanked: 0 times | Joined on Jan 2008
#3
Originally Posted by timsamoff View Post
Yes! Try PyChord. Here's my review:

http://sense-datum.org/tim/archive/2...samoff__weblog

Tim
I downloaded pychord_maemo_0.4.deb, but when I try to
install it, it says:
dpkg: dependency problems prevent configuration of pychord:
pychord depends on pysqlite; however:
Package pysqlite is not installed.
Where can I get pysqlite ?
 
XL1200c's Avatar
Posts: 56 | Thanked: 5 times | Joined on Oct 2007
#4
I could not get Pychord to install under OS2008. I got an incompatible version error.
 
timsamoff's Avatar
Posts: 1,605 | Thanked: 1,597 times | Joined on Mar 2007 @ Southern California
#5
Hmmm... It installed just fine for me. Have you tried installing in "Red Pill" mode?

-T.
__________________
http://samoff.com
 
XL1200c's Avatar
Posts: 56 | Thanked: 5 times | Joined on Oct 2007
#6
I just tried to install Pychord in red pill mode. If I use the .install file I get the incompatible version error, if I use the .deb file I get and error stating that Pysqlite is missing. I have all the repositories from gronmayer.com installed.

taternik: you said you installed qtick, I can't find qtick. Did you mean gtick?

I can't get gtick to work. I can not launch it from the menu (it says "loading gick" than nothing), but I can from the command line. when I try to press the start button I get and error saying "Couldn't start metronome. Please check if specified sound device and sample file are accessible. At the command line it says,
SNDCTL_DSP_SETFRAGMENT: Inappropriate ioctl for device
and
SNDCTL_DSP_RESET: Inappropriate ioctl for device.

Under Preferences for Gtick,
Sound is set to Default and the Sound Device is set to /dev/snd/controlC0

Im running OS2008 on the N800.

and help would be greatly appreciated, me and my 9yo son are learning guitar together.

Tuner seams to be working just fine, I'll test it out more when I get home.

Last edited by XL1200c; 2008-01-14 at 20:16.
 
Posts: 3 | Thanked: 0 times | Joined on Jan 2008
#7
Originally Posted by XL1200c View Post

taternik: you said you installed qtick, I can't find qtick. Did you mean gtick?
I ment gtick, sorry for the typo. I am running OS2007, and I first
downloaded the file
https://garage.maemo.org/frs/downloa....1-2_armel.deb

and then installed it form Application Manager. Did you install the
same file? I am asking because there is another port which
I found somewhere on the internet, and it did not work,
giving me somewhat similar error messages as what you described
(if I remember correctly).

Of course, it may be that it works on OS2007, but not on OS2008...
 
jazzbass12's Avatar
Posts: 129 | Thanked: 4 times | Joined on Mar 2007
#8
I have same issue with 2008. After launching, it says loading then nothing...
Must not work with 08?
Too bad, looks like a great program
 
XL1200c's Avatar
Posts: 56 | Thanked: 5 times | Joined on Oct 2007
#9
Thats the one I tried. I even downloaded it from your link and still have the same problem. I'll bet that it's an OS2008 problem. I don't mind starting it from the command line, I just wish I could get the sound working.
 
jazzbass12's Avatar
Posts: 129 | Thanked: 4 times | Joined on Mar 2007
#10
Too bad though..Being a singer songwriter, it would be helpful to pull out my 810 when I had a brain fade at a coffee shop gig...
LOL
__________________
http://www.richoreilly.com
 
Reply

Thread Tools

 
Forum Jump


All times are GMT. The time now is 00:46.